/* ========================================================================= */
/* DATOS =================================================================== */
/* ========================================================================= */

var game = { name: "Clima", picture: "images/games/clima.png", color: "game-aquamarine", resHeight: true };

var categories = [
	{ name: 'En la tierra', score: 1 }, 					// categoriesId[0]
	{ name: 'En el universo', score: 1 }, 					// categoriesId[1]
	{ name: 'En canarias', score: 1 }, 						// categoriesId[2]
	{ name: 'Nuestro sistema solar', score: 3 }, 			// categoriesId[3]
	{ name: 'Relativo al clima', score: 3 }, 				// categoriesId[4]
	{ name: 'Catástrofes naturales', score: 4 }, 			// categoriesId[5]
	{ name: 'Aparatos', score: 5, description: '<span class="span-description">Para que sirve... Utiliza:<br/></span><b>Puntos cardinales</b>, <b>Observar el cielo</b>, <b>Viajar al espacio</b>, <b>Temperatura</b> o <b>Localización</b>' },		// categoriesId[6]
	{ name: 'El arco iris', score: 5, description: '<span class="span-description">Une las cartas adecuadas para que se produzca el arco iris</span>' }		// categoriesId[7]

];

// Añadimos el campo special edit a la categoría Diariamente
_.extend(categories[6], { special: {edit: true} });

var categoriesId = [];

// Asignamos un id único a cada categoría y lo guardamos
_.each(categories, function (category) {
	var id = _.uniqueId('category_');
	categoriesId.push(id);
	_.extend(category, {_id: id});
});

var items = [
	// { name: '', picture: 'images/items/.png', color: '', categoriesId: [  ], resHeight: false },

	{ name: 'Arco iris', picture: 'images/items/arco-iris.png', color: 'dark-cyan', categoriesId: [ categoriesId[0],categoriesId[2] ], resHeight: false },	// itemsId[0]
	{ name: 'Asteroide', picture: 'images/items/asteroide.png', color: 'light-orange', categoriesId: [ categoriesId[1], categoriesId[3] ], resHeight: false },	// itemsId[1]
	{ name: 'Atmósfera', picture: 'images/items/atmosfera.png', color: 'dark-cyan', categoriesId: [ categoriesId[0],categoriesId[1],categoriesId[3] ], resHeight: false },	// itemsId[2]
	{ name: 'Brújula', picture: 'images/items/brujula.png', color: 'light-cyan', categoriesId: [categoriesId[6]], resHeight: true },	// itemsId[3]
	{ name: 'Cohete', picture: 'images/items/cohete.png', color: 'light-pink', categoriesId: [ categoriesId[1],categoriesId[6] ], resHeight: true },	// itemsId[4]
	{ name: 'Estrella', picture: 'images/items/estrella.png', color: 'normal-orange', categoriesId: [ categoriesId[1], categoriesId[3] ], resHeight: false },	// itemsId[5]
	{ name: 'Estrella fugaz', picture: 'images/items/estrella-fugaz.png', color: 'light-green', categoriesId: [ categoriesId[1], categoriesId[3] ], resHeight: false },	// itemsId[6]
	{ name: 'Galaxia', picture: 'images/items/galaxia.png', color: 'normal-cyan', categoriesId: [ categoriesId[1] ], resHeight: false },	// itemsId[7]
	{ name: 'Granizo', picture: 'images/items/granizo.png', color: 'light-yellow', categoriesId: [ categoriesId[0], categoriesId[2], categoriesId[4] ], resHeight: false },	// itemsId[8]
	{ name: 'Huracán', picture: 'images/items/huracan.png', color: 'normal-pink', categoriesId: [ categoriesId[0], categoriesId[4],categoriesId[5] ], resHeight: false },	// itemsId[9]
	{ name: 'Lluvia', picture: 'images/items/lluvia.png', color: 'light-yellow', categoriesId: [ categoriesId[0], categoriesId[2], categoriesId[4] ], resHeight: true },	// itemsId[10]
	{ name: 'Luna', picture: 'images/items/luna.png', color: 'light-purple', categoriesId: [ categoriesId[1], categoriesId[3] ], resHeight: false },	// itemsId[11]
	{ name: 'Marejada', picture: 'images/items/marejada.png', color: 'dark-orange', categoriesId: [ categoriesId[0], categoriesId[2] ], resHeight: false },	// itemsId[12]
	{ name: 'Nieve', picture: 'images/items/nieve.png', color: 'normal-cyan', categoriesId: [ categoriesId[0], categoriesId[2], categoriesId[4] ], resHeight: false },	// itemsId[13]
	{ name: 'Nube', picture: 'images/items/nube.png', color: 'dark-cyan', categoriesId: [ categoriesId[0], categoriesId[4] ], resHeight: false },	// itemsId[14]
	{ name: 'Panza de burro', picture: 'images/items/panza-burro.png', color: 'dark-orange', categoriesId: [ categoriesId[0], categoriesId[2], categoriesId[4] ], resHeight: false },	// itemsId[15]
	{ name: 'Rayo', picture: 'images/items/rayo.png', color: 'light-yellow', categoriesId: [ categoriesId[0], categoriesId[2], categoriesId[4] ], resHeight: false },	// itemsId[16]
	{ name: 'Sol', picture: 'images/items/sol.png', color: 'normal-purple', categoriesId: [ categoriesId[1], categoriesId[2], categoriesId[3] ], resHeight: false },	// itemsId[17]
	{ name: 'Telescopio', picture: 'images/items/telescopio.png', color: 'normal-green', categoriesId: [categoriesId[6] ], resHeight: true },	// itemsId[18]
	{ name: 'Tierra', picture: 'images/items/tierra.png', color: 'normal-orange', categoriesId: [ categoriesId[1], categoriesId[3] ], resHeight: false },	// itemsId[19]
	{ name: 'Viento', picture: 'images/items/viento.png', color: 'light-cyan', categoriesId: [ categoriesId[0], categoriesId[2], categoriesId[4] ], resHeight: false },	// itemsId[20]
	{ name: 'Volcán', picture: 'images/items/volcan.png', color: 'normal-pink', categoriesId: [ categoriesId[0],categoriesId[2],categoriesId[5] ], resHeight: false },	// itemsId[21]
	{ name: 'Termómetro', picture: 'images/items/termometro.png', color: 'dark-cyan', categoriesId: [categoriesId[6] ], resHeight: false },	// itemsId[22]
	{ name: 'GPS', picture: 'images/items/gps.png', color: 'light-orange', categoriesId: [categoriesId[6] ], resHeight: false },	// itemsId[23]
];

// Añadimos el campo especial edit a todos los items editables
_.each([3, 18, 4, 22, 23], function (pos) {
	_.extend(items[pos], { special: {edit: []} });
});

// Añadimos a los campos special edit el valor(es) correspondiente(s) de cada item
_.each([3], function (pos) {
	items[pos].special.edit.push('puntos cardinales');
});
_.each([18], function (pos) {
	items[pos].special.edit.push('observar el cielo');
});
_.each([4], function (pos) {
	items[pos].special.edit.push('viajar al espacio');
});
_.each([22], function (pos) {
	items[pos].special.edit.push('temperatura');
});
_.each([23], function (pos) {
	items[pos].special.edit.push('localización');
});

var itemsId = [];

// Asignamos un id único a cada item
_.each(items, function (item) {
	var id = _.uniqueId('item_');
	itemsId.push(id);
	_.extend(item, {_id: id});
});

// Añadimos el campo special group a la categoría Arco iris
_.extend(categories[7], {
	special: {
		group: [
			[itemsId[10], itemsId[17]]
		],
		minGroupSize: 2,
		maxGroupSize: 2
	}
});

var boxes = [
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] }
];

// Asignamos un id único y un index a cada caja
_.each(boxes, function (box, index) {
	_.extend(box, {_id: _.uniqueId('box_'), index: index});
});
